numeric_types.h File Reference

Top-level include for all CUTLASS numeric types. More...

`#include <assert.h>`
`#include "cutlass/cutlass.h"`
`#include "cutlass/integer_subbyte.h"`
`#include "cutlass/half.h"`
Include dependency graph for numeric_types.h:

Go to the source code of this file.

## Classes

struct | cutlass::sizeof_bits< T >
| Defines the size of an element in bits. More...
struct | cutlass::sizeof_bits< bin1_t >
| Defines the size of an element in bits - specialized for bin1_t. More...
struct | cutlass::IntegerType< Bits, Signed >
| Defines integers based on size and whether they are signed. More...
struct | cutlass::IntegerType< 1, true >
struct | cutlass::IntegerType< 1, false >
struct | cutlass::IntegerType< 4, true >
struct | cutlass::IntegerType< 4, false >
struct | cutlass::IntegerType< 8, true >
struct | cutlass::IntegerType< 8, false >
struct | cutlass::IntegerType< 16, true >
struct | cutlass::IntegerType< 16, false >
struct | cutlass::IntegerType< 32, true >
struct | cutlass::IntegerType< 32, false >
struct | cutlass::IntegerType< 64, true >
struct | cutlass::IntegerType< 64, false >
struct | cutlass::FloatType< Exp, Mantissa >
| Defines a floating-point type based on the number of exponent and mantissa bits. More...
struct | cutlass::FloatType< 11, 52 >
struct | cutlass::FloatType< 8, 23 >
struct | cutlass::FloatType< 5, 10 >

## Namespaces

| cutlass

## Typedefs

using | cutlass::bin1_t = bool
| 1-bit binary type More...